summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorRico Tzschichholz <ricotz@ubuntu.com>2021-09-25 15:31:28 +0200
committerRico Tzschichholz <ricotz@ubuntu.com>2021-09-25 15:31:28 +0200
commit192c6dfed03b3f277d86ce58c2992d7fcc5e9829 (patch)
treee4f6d061f9b645f65fc275ee530e0d7effad1437 /autogen.sh
parentd07258653abe9ea6ac26ffd1655b3f70290a91ba (diff)
downloadvala-192c6dfed03b3f277d86ce58c2992d7fcc5e9829.tar.gz
build: At least valac 0.16.1 is required
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/autogen.sh b/autogen.sh
index d73d92d3d..69204b247 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -7,12 +7,12 @@ ORIGDIR=`pwd`
cd $srcdir
test -z "$VALAC" && VALAC=valac
-if ! $VALAC --version | sed -e 's/^Vala \([0-9]\+\.[0-9]\+\).*$/\1/' | grep -vq '^0\.\([0-9]\|1[0-1]\)$'
+if ! $VALAC --version | sed -e 's/^Vala \([0-9]\+\.[0-9]\+\).*$/\1/' | grep -vq '^0\.\([0-9]\|1[0-5]\)$'
then
- echo "**Error**: You must have valac >= 0.12.0 installed"
+ echo "**Error**: You must have valac >= 0.16.1 installed"
echo " to build vala. Download the appropriate package"
echo " from your distribution or get the source tarball at"
- echo " http://download.gnome.org/sources/vala/"
+ echo " https://download.gnome.org/sources/vala/"
exit 1
fi